charm does not support worker-multiplier option

Bug #1677543 reported by James Page on 2017-03-30
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack AODH Charm
Medium
Unassigned
OpenStack Barbican Charm
Medium
Nobuto Murata
OpenStack Designate Charm
Medium
Unassigned
OpenStack Manila Charm
Medium
Unassigned
charms.openstack
Medium
Unassigned

Bug Description

Classic charms support the worker-multiplier option to allow the number of worker threads for an application to be tuned; the new reactive openstack charms don't support this just yet.

James Page (james-page) on 2017-03-30
Changed in charm-aodh:
status: New → Triaged
Changed in charm-barbican:
status: New → Triaged
Changed in charm-designate:
status: New → Triaged
Changed in charm-aodh:
importance: Undecided → Medium
Changed in charm-barbican:
importance: Undecided → Medium
Changed in charm-designate:
importance: Undecided → Medium
Changed in charm-aodh:
milestone: none → 17.08
Changed in charm-barbican:
milestone: none → 17.08
Changed in charm-designate:
milestone: none → 17.08
Ryan Beisner (1chb1n) wrote :

+1 to the general need for this in the reactive charms. :)

tags: added: uosci
Vincenzo Di Somma (vds) on 2017-04-03
no longer affects: manila
Vincenzo Di Somma (vds) on 2017-04-15
Changed in charm-aodh:
assignee: nobody → Vincenzo Di Somma (vds)
Changed in charm-barbican:
assignee: nobody → Vincenzo Di Somma (vds)
Changed in charm-designate:
assignee: nobody → Vincenzo Di Somma (vds)
Changed in charm-manila:
assignee: nobody → Vincenzo Di Somma (vds)
Changed in charm-aodh:
status: Triaged → In Progress
Changed in charm-barbican:
status: Triaged → In Progress
Changed in charm-designate:
status: Triaged → In Progress
Changed in charm-designate:
assignee: Vincenzo Di Somma (vds) → nobody
assignee: nobody → Alex Kavanagh (ajkavanagh)
Changed in charm-barbican:
status: In Progress → Triaged
Changed in charm-aodh:
status: In Progress → Triaged
Changed in charms.openstack:
status: New → In Progress
assignee: nobody → Alex Kavanagh (ajkavanagh)
importance: Undecided → Medium
Changed in charm-manila:
importance: Undecided → Medium
status: New → Triaged
assignee: Vincenzo Di Somma (vds) → nobody
Changed in charm-barbican:
assignee: Vincenzo Di Somma (vds) → nobody
Changed in charm-aodh:
assignee: Vincenzo Di Somma (vds) → nobody
Changed in charm-aodh:
status: Triaged → In Progress
assignee: nobody → Alex Kavanagh (ajkavanagh)

Reviewed: https://review.openstack.org/487055
Committed: https://git.openstack.org/cgit/openstack/charm-designate/commit/?id=a9667261067b32639262b5ef8e71923afc4889fb
Submitter: Jenkins
Branch: master

commit a9667261067b32639262b5ef8e71923afc4889fb
Author: Alex Kavanagh <email address hidden>
Date: Tue Jul 25 14:10:27 2017 +0100

    Add options.workers to the template

    This change draws on the charms.openstack and layer-openstack-api
    changes to provide the ability to configure the number of workers that
    the designate charm starts.

    Change-Id: I8dec833d5e297f328a6503410c8f6d5aff1c85bd
    Depends-On: I3cea350e536306655f5f109ec67ae7f0fba35fda
    Depends-On: Id4145ffaa622727523003015d7012ece2f0eae4f
    Related-Bug: #1677543

Reviewed: https://review.openstack.org/487133
Committed: https://git.openstack.org/cgit/openstack/charm-aodh/commit/?id=d950502c9c5055e117df1f7fa782a3ea261e5043
Submitter: Jenkins
Branch: master

commit d950502c9c5055e117df1f7fa782a3ea261e5043
Author: Alex Kavanagh <email address hidden>
Date: Tue Jul 25 17:17:32 2017 +0100

    Add options.workers to the template

    This change draws on the charms.openstack and layer-openstack-api
    changes to provide the ability to configure the number of workers that
    the aodh charm starts. Note that the mitaka version uses the simpler
    'workers' option, whereas the ocata version uses the more complex WSGI
    version.

    Change-Id: I015b75cf674c03dd12078c13eb958b99e7936945
    Depends-On: I3cea350e536306655f5f109ec67ae7f0fba35fda
    Depends-On: Id4145ffaa622727523003015d7012ece2f0eae4f
    Related-Bug: #1677543

Changed in charm-aodh:
status: In Progress → Fix Committed
Changed in charm-designate:
status: In Progress → Fix Committed
Changed in charms.openstack:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/492491
Committed: https://git.openstack.org/cgit/openstack/charm-manila/commit/?id=df96346eb9ce729a58a57a96f756551c398068e0
Submitter: Jenkins
Branch: master

commit df96346eb9ce729a58a57a96f756551c398068e0
Author: Alex Kavanagh <email address hidden>
Date: Thu Aug 10 12:34:09 2017 +0100

    Enable worker-multiplier on manila

    This change draws on the charms.openstack and layer-openstack-api
    changes to provide the ability to configure the number of workers that
    the manila charm starts for API usage.

    It also:
     * Packages the manila charm into a venv. This is because the
       subordinate charms are ALSO reactive, which means that different
       versions of either charms.reactive or charms.openstack could be
       overwritten from the subordinate charm.
     * Band-aid an issue with manila-share not being started even though all
       of the config is properly set. This uses the update-status hook to
       check to see if the manila-share service should be running.
       (Bug: #1706699)
     * Work-around for a bug in python-manilaclient (Bug: #1707303) which
       caused basic_deployment test 400 to fail.

    Change-Id: I0ea0f14fb69bea5d2008ed70d72ba27c98c96679
    Depends-On: I3cea350e536306655f5f109ec67ae7f0fba35fda
    Depends-On: Id4145ffaa622727523003015d7012ece2f0eae4f
    Related-Bug: #1677543
    Partial-Bug: #1706699
    Related-Bug: #1707303

James Page (james-page) on 2017-09-12
Changed in charm-aodh:
status: Fix Committed → Fix Released
Changed in charm-designate:
status: Fix Committed → Fix Released
Changed in charm-barbican:
milestone: 17.08 → 17.11
James Page (james-page) on 2017-12-01
Changed in charm-barbican:
milestone: 17.11 → 18.02
Ryan Beisner (1chb1n) on 2018-03-09
Changed in charm-barbican:
milestone: 18.02 → 18.05
David Ames (thedac) on 2018-06-11
Changed in charm-barbican:
milestone: 18.05 → 18.08
James Page (james-page) on 2018-09-12
Changed in charm-barbican:
milestone: 18.08 → 18.11
David Ames (thedac) on 2018-11-20
Changed in charm-barbican:
milestone: 18.11 → 19.04
David Ames (thedac) on 2019-04-17
Changed in charm-barbican:
milestone: 19.04 → 19.07
David Ames (thedac) on 2019-08-12
Changed in charm-barbican:
milestone: 19.07 → 19.10
David Ames (thedac) on 2019-10-24
Changed in charm-barbican:
milestone: 19.10 → 20.01
Alex Kavanagh (ajkavanagh) wrote :

This was fixed and released in manila in July 2017

Changed in charm-manila:
milestone: none → 17.08
status: Triaged → Fix Released
James Page (james-page) on 2020-03-02
Changed in charm-barbican:
milestone: 20.01 → 20.05
David Ames (thedac) on 2020-05-21
Changed in charm-barbican:
milestone: 20.05 → 20.08
Changed in charms.openstack:
assignee: Alex Kavanagh (ajkavanagh) → nobody
Changed in charm-designate:
assignee: Alex Kavanagh (ajkavanagh) → nobody
Changed in charm-aodh:
assignee: Alex Kavanagh (ajkavanagh) → nobody
James Page (james-page) on 2020-08-03
Changed in charm-barbican:
milestone: 20.08 → none
Nobuto Murata (nobuto) on 2020-08-04
Changed in charm-barbican:
assignee: nobody → Nobuto Murata (nobuto)

Fix proposed to branch: master
Review: https://review.opendev.org/744578

Changed in charm-barbican:
status: Triaged → In Progress
Changed in charm-barbican:
milestone: none → 20.10
status: In Progress → Fix Committed

Reviewed: https://review.opendev.org/744578
Committed: https://git.openstack.org/cgit/openstack/charm-barbican/commit/?id=3ba2652b10f85bdf351bceeb45d49845baf6f380
Submitter: Zuul
Branch: master

commit 3ba2652b10f85bdf351bceeb45d49845baf6f380
Author: Nobuto Murata <email address hidden>
Date: Tue Aug 4 09:50:08 2020 +0900

    Enable worker-multiplier for wsgi

    So that users can have a control over the number of processes to be
    spawend and database connections to be consumed.

    Change-Id: I7ffdafb807a604d89381a2fecaba8300f00e9691
    Closes-Bug: #1677543

Changed in charm-barbican:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers